{extend name="apps/common/view/admin.tpl" /}
<!-- -->
{block name="header_meta"}
<title>基本配置－{:lang('appName')}</title>
{/block}
{block name="header_addon"}
<link href="{$path_root}{$path_addon}view/theme.css">
<script src="{$path_root}{$path_addon}view/theme.js"></script>
{/block}
<!-- -->
{block name="main"}
<h6 class="border-bottom pb-2 text-purple">
  基本配置
</h6>
{:DcBuildForm([
    'class'    => 'bg-white px-2 py-2',
    'action'   => DcUrlAddon(['module'=>'tuchuang','controll'=>'admin','action'=>'update'],''),
    'method'   => 'post',
    'submit'   => lang('submit'),
    'reset'    => lang('reset'),
    'close'    => false,
    'disabled' => false,
    'ajax'     => true,
    'callback' => '',
    'items'    => [
        [
            'type'=>'text',
            'name'=>'site_name',
            'id'=>'site_name',
            'title'=>'名称',
            'placeholder'=>'图床频道名称，用于首页展示。',
            'tips'=>'',
            'value'=>config('tuchuang.site_name'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>true,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_title',
            'id'=>'site_title',
            'title'=>'标题',
            'placeholder'=>'图床频道首页的标题，用于SEO优化。',
            'tips'=>'',
            'value'=>config('tuchuang.site_title'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>true,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_keywords',
            'id'=>'site_keywords',
            'title'=>'关键字',
            'placeholder'=>'图床频道首页的关键字，用于SEO优化。',
            'tips'=>'',
            'value'=>config('tuchuang.site_keywords'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_description',
            'id'=>'site_description',
            'title'=>'网页描述',
            'placeholder'=>'图床频道首页的描述，用于SEO优化。',
            'tips'=>'',
            'value'=>config('tuchuang.site_description'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'select',
            'name'=>'theme',
            'id'=>'theme',
            'title'=>lang('site_theme'),
            'placeholder'=>lang('site_theme_placeholder'),
            'tips'=>'',
            'value'=>config('tuchuang.theme'),
            'option'=>$themes,
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'multiple'=>false,
        ],
        [
            'type'=>'select',
            'name'=>'theme_wap',
            'id'=>'theme_wap',
            'title'=>lang('wap_theme'),
            'placeholder'=>lang('wap_theme_placeholder'),
            'tips'=>'',
            'value'=>config('tuchuang.theme_wap'),
            'option'=>$themes,
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'multiple'=>false,
        ],
        [
            'type'=>'text',
            'name'=>'link_default',
            'id'=>'link_default',
            'title'=>'默认图片',
            'placeholder'=>'非授权网站盗链时显示的默认图片。',
            'tips'=>'',
            'value'=>config('tuchuang.link_default'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'link_encode',
            'id'=>'link_encode',
            'title'=>'图片地址加密',
            'placeholder'=>'对外提供外链服务时如有需要加密时使用，如：imgDesEncode与PHP自带加密函数，多个用逗号分隔。',
            'tips'=>'',
            'value'=>config('tuchuang.link_encode'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'link_decode',
            'id'=>'link_decode',
            'title'=>'图片地址解密',
            'placeholder'=>'待处理图片地址的解密函数，如：imgDesDecode与PHP自带解密函数，多个用逗号分隔。',
            'tips'=>'',
            'value'=>config('tuchuang.link_decode'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'des_length',
            'id'=>'des_length',
            'title'=>'加密时长限制',
            'placeholder'=>'当使用系统imgDes加密时检测时效性（单位：秒），超过设置的时长将显示默认图片。',
            'tips'=>'',
            'value'=>config('tuchuang.des_length'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'textarea',
            'name'=>'link_referer',
            'id'=>'link_referer',
            'title'=>'加速域名授权',
            'placeholder'=>'待处理的图片网址域名列表，半角逗号分隔，不限制则留空。',
            'tips'=>'',
            'value'=>config('tuchuang.link_referer'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'textarea',
            'name'=>'link_domain',
            'id'=>'link_domain',
            'title'=>'外链授权域名',
            'placeholder'=>'对外提供外链服务需要检查域名来路时在此设置，半角逗号分隔，不限制则留空。',
            'tips'=>'',
            'value'=>config('tuchuang.link_domain'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ]
    ]
])}
{/block}
<!-- -->
{block name="js"}
{/block}